#if !defined(AFX_PROGRESSDIALOG_H__41F1BFD9_5549_441D_AF58_D71B46BEBE2D__INCLUDED_)
#define AFX_PROGRESSDIALOG_H__41F1BFD9_5549_441D_AF58_D71B46BEBE2D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProgressDialog.h : header file
//

#include "mpeg2stuff.h"

/////////////////////////////////////////////////////////////////////////////
// CProgressDialog dialog

class CProgressDialog : public CDialog
{
// Construction
public:
	CProgressDialog(UINT nIDTemplate/* = IDD_PROGRESS*/, CWnd* pParent = NULL);   // standard constructor

	void SetInfo(pdlg_buffer *p, TSFileList *fl)
	{
		m_pdlgBuffers = p;
		m_InputList = fl;
	}

// Dialog Data
	//{{AFX_DATA(CProgressDialog)
	CStatic	m_OutputFile;
	CStatic	m_InputFile;
	CStatic	m_TimeTaken;
	CStatic	m_TimeToGo;
	CStatic	m_ConversionSpeedIn;
	CStatic	m_ConversionSpeedOut;
	CProgressCtrl	m_ProgressTotalBar;
	//}}AFX_DATA

	static char m_Title[32];
	static char m_InputFileName[256];
	static char m_OutputFileName[256];
	static __int64 m_ProgressPos;
	static int m_ProgressTotalPos;

	static long m_lTimeStart;
	static float m_fTimeTaken;
	static char m_TimeTakenText[16];
	static char m_TimeToGoText[16];
	static char m_ConversionSpeedInText[16];
	static char m_ConversionSpeedOutText[16];
	static CWnd *m_pOutputFileText;
	static CWnd *m_pToGoText;
	static CWnd *m_pTimeToGoText;

	static bool m_Finished;

	TSFileList *m_InputList;

	bool m_doPreview;
	bool m_doRegion;

	CRect m_previewRect;
	CRect m_regionRect;
	__int64 m_DrawnRegionMarker;

	BITMAPINFOHEADER m_BMIH;

	pdlg_buffer *m_activeBuffer;
	pdlg_buffer *m_pdlgBuffers;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProgressDialog)
	public:
	virtual void OnFinalRelease();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	UINT m_Timer;

	void DrawPreview(void);
	void DrawRegions(__int64 marker = -1);

	// Generated message map functions
	//{{AFX_MSG(CProgressDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(CProgressDialog)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRESSDIALOG_H__41F1BFD9_5549_441D_AF58_D71B46BEBE2D__INCLUDED_)
