// macroblock bitmasks

#define max_1920_column 0xe // 14 wide
//#define max_1280_column  0x9 // 9 wide
#define max_1280_column  0xa // 10 wide

// special bitmasks ( UPN )
// up to 14 macroblocks for left and right columns
#define number_1920_masks 3
unsigned int masks_1920[3][68] = 
{
	{ 0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xc000c000,0xc000c000,0xc000c000,0xc000c000,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000 }, // indicates a 4x3 frame
	{ 0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
      0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xc000c000,0xc000c000,0xc000c000,0xc000c000,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff }, // indicates a 4x3 frame
	{ 0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff } // indicates a 4x3 frame
};

// special bitmask ( FOX )
// up to 9 macroblocks for left and right columns
#define number_1280_masks 3 
unsigned int masks_1280[3][45] = 
{
	{ 0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,
	  0xffffffff,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00 }, // indicates a 4x3 frame
	{ 0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xfe00fe00,0xfe00fe00,0xfe00fe00,0xfe00fe00,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xfe00fe00,0xffffffff,0xffffffff,0xffffffff,0xffffffff }, // indicates a 4x3 frame
	{ 0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff,
	  0xffffffff,0xffffffff,0xffffffff,0xffffffff,0xffffffff } // indicates a 4x3 frame
};