#pragma once
#include "afxwin.h"


// CConfigureDlg dialog

class CConfigureDlg : public CDialog
{
	DECLARE_DYNAMIC(CConfigureDlg)

public:
	CConfigureDlg(CWnd* pParent = NULL, CString iniPath = "" );   // standard constructor
	virtual ~CConfigureDlg();

// Dialog Data
	enum { IDD = IDD_CONFIGURE };

	CString m_iniPath;
	char m_TRIDirectory[256];
	int m_MaxSeekSize;
	int m_MinIncludeSize;
	int m_MinExcludeSize;

protected:

	CButton m_cPreserveBitRate;
	CButton m_cChangeVerticalSize;
	CEdit m_cTRIDirectoryBox;
	CButton m_cCreateTRIFiles;
	CButton m_cIncludeBlackFrames;
	CButton m_cTRIBrowse;
	CEdit m_cMinIncludeSize;
	CEdit m_cMinExcludeSize;
	CButton m_c60Sec;
	CButton m_c30Sec;
	CButton m_c10Sec;

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedConfigureOK();
	afx_msg void OnBnClickedConfigureCancel();
	afx_msg void OnBnClickedTriBrowse();
	afx_msg void OnLbnSelchangeMinInclude();
	afx_msg void OnLbnSelchangeMinExclude();
	afx_msg void OnBnClickedCreateTriFiles();
};
